Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QProcess.ProcessChannelMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QProcess.ProcessChannelMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QProcess

    public static final class QProcess.ProcessChannelMode

extends java.lang.Enum
implements QtEnumerator

This enum describes the process channel modes of `QProcess`. Pass one of these values to `setProcessChannelMode()` to set the current read channel mode.

See also:
  setReadChannelMode().

See Also:
  Serialized Form

Field Summary
`static QProcess.ProcessChannelMode` | `ForwardedChannels` `QProcess` forwards the output of the running process onto the main process.
`static QProcess.ProcessChannelMode` | `MergedChannels` `QProcess` merges the output of the running process into the standard output channel (`stdout`).
`static QProcess.ProcessChannelMode` | `SeparateChannels` `QProcess` manages the output of the running process, keeping standard output and standard error data in separate internal buffers.

Method Summary
`static QProcess.ProcessChannelMode` | `resolve(int value)` Returns the QProcess$ProcessChannelMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessChannelMode` | `valueOf(java.lang.String name)`
`static QProcess.ProcessChannelMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SeparateChannels

    public static final QProcess.ProcessChannelMode SeparateChannels

  `QProcess` manages the output of the running process, keeping standard output and standard error data in separate internal buffers. You can select the `QProcess`'s current read channel by calling `setReadChannel()`. This is the default channel mode of `QProcess`.

### MergedChannels

    public static final QProcess.ProcessChannelMode MergedChannels

  `QProcess` merges the output of the running process into the standard output channel (`stdout`). The standard error channel (`stderr`) will not receive any data. The standard output and standard error data of the running process are interleaved.

### ForwardedChannels

    public static final QProcess.ProcessChannelMode ForwardedChannels

  `QProcess` forwards the output of the running process onto the main process. Anything the child process writes to its standard output and standard error will be written to the standard output and standard error of the main process.

Method Detail

### values

    public static QProcess.ProcessChannelMode[] values()

### valueOf

    public static QProcess.ProcessChannelMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessChannelMode resolve(int value)

  Returns the QProcess$ProcessChannelMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD